/* Adjust layout for 1920px */
@media (min-width: 1920px) {
  .container {
    max-width: 1420px;
  }

  .padding-section {
    padding-top: 80px;
    padding-bottom: 80px;
  }

  .padding-b {
    padding-bottom: 80px;
  }

  .padding-t {
    padding-top: 80px;
  }
  .inner-container {
    max-width: 1700px;
    margin: auto;
  }

  .header ul a {
    font-size: 20px;
    font-weight: 500;
  }

  .header ul {
    gap: 40px;
  }

  .menu-toggle {
    padding: 40px;
    gap: 100px;
  }

  .menu-toggle .menu-services .menu-service {
    padding: 15px;
    min-height: 235px;
  }

  .menu-toggle .toggle-links li a {
    font-size: 18px;
  }

  .menu-toggle .toggle-links h3 {
    font-size: 20px;
    margin-bottom: 30px;
  }

  .menu-service .menu-img img {
    max-width: 65px;
  }
  .hero-content,
  .breadcrumb-content {
    padding-top: 320px;
  }

  .hero-content h2,
  .breadcrumb-content h2 {
    font-size: 45px;
  }

  .breadcrumb-content p {
    font-size: 35px;
    line-height: 47px;
  }

  .hero-content p {
    font-size: 30px;
    line-height: 41px;
  }

  .owl-dots {
    top: 270px;
  }

  .primary-btn {
    padding: 13px 25px;
    width: 200px;
  }

  .circle-btn {
    width: 350px;
    height: 350px;
    border: 18px solid var(--gray-color);
  }

  .circle-btn a {
    width: 250px;
    height: 250px;
  }

  .circle-btn svg {
    top: 37%;
    left: 57%;
  }

  .slide-1 .hero-img img {
    width: 85%;
  }

  .hero-content {
    padding-right: 190px;
  }

  .heading-title {
    width: 75%;
    margin: 0 auto 50px;
  }

  .heading-title h2,
  .services-two .services-title h2 {
    font-size: 40px;
    margin-bottom: 20px;
  }

  .heading-title p {
    font-size: 30px;
  }
  .services-two .services-title p {
    font-size: 24px;
  }
  .icon-box {
    width: 114px;
    height: 107px;
  }

  .icon-box img {
    width: 56px;
    height: auto;
  }

  .service-card {
    gap: 30px;
  }

  .service-info {
    gap: 20px;
  }

  .service-card .service-info h3 {
    font-size: 30px;
  }

  .service-card .service-info p {
    font-size: 24px;
    line-height: 30px;
  }

  .service-card {
    padding: 40px 20px 15px;
  }

  .service {
    flex-basis: 150px;
    height: 495px;
  }

  .service:hover {
    flex-basis: 180px;
  }
  /* client section */
  .owl-carousel-clients .slide img {
    max-width: 170px;
    max-height: 170px;
  }

  .insight-box {
    position: relative;
    min-height: 655px;
  }

  .insight-content {
    padding: 20px;
  }

  .insight-content a {
    font-size: 30px;
    color: #000;
    font-weight: 500;
    line-height: 35.2px;
    width: 90%;
  }

  /* insights section */
  section.insights > .d-flex {
    height: 712px;
  }

  /* testimonials section */
  .testi-content p {
    font-size: 27px;
    font-weight: 500;
    line-height: 33px;
  }

  /* footer  */
  .footer a {
    font-size: 18px;
    font-weight: 600;
  }

  .footer-logo > p {
    font-size: 18px;
  }

  .addres p {
    font-size: 18px;
    font-weight: 600;
  }

  .footer-bottom p {
    font-size: 18px;
  }

  /* single service page */
  .breadcrumb {
    height: 800px;
  }

  .single-service .service-card {
    padding: 30px;
  }

  .single-service .service-card h3 {
    min-height: 85px;
    max-width: 80%;
  }

  /* help section */
  .help .help-title h2,
  .technologies .technologies-title h2 {
    font-size: 40px;
    font-weight: 600;
    margin-bottom: 20px;
  }

  .help .help-title p,
  .technologies .technologies-title p {
    font-size: 27px;
    font-weight: 500;
    line-height: 36px;
  }

  .help .help-content h2 {
    font-size: 40px;
  }

  .help .help-content h3 {
    font-size: 25px;
  }

  .help .help-content p {
    font-size: 25px;
    line-height: 30px;
  }

  /* featured section */
  .featured .feature-card .feature-content h2 {
    font-size: 20px;
  }

  .featured .feature-card .feature-content p {
    font-size: 18px;
  }

  /* form section */
  .form-section .heading-title p {
    font-size: 30px;
  }

  /* specialize section */
  .specialize-section > div {
    gap: 40px;
  }

  .specialize-section div#v-pills-tab {
    max-height: 465px;
  }

  .specialize-section .specialize-content {
    height: 500px;
  }

  .specialize-section .nav-link {
    min-height: 77px;
    font-size: 18px;
  }

  .specialize-section .nav-link img {
    width: unset;
    height: auto;
  }

  .next-btn,
  .prev-btn {
    height: 60px;
    width: 60px;
  }
  .next-btn {
    bottom: -20px;
  }
  .prev-btn {
    top: -55px;
  }
  .specialize-content .specialize-info h2 {
    font-size: 35px;
  }

  .specialize-content .specialize-info p {
    font-size: 30px;
    line-height: 35px;
  }

  .case {
    height: 487px;
  }

  .services-two .service.active .service-content p {
    font-size: 20px;
    line-height: 32px;
    width: 885px;
  }

  .services-two .service .service-title span {
    font-size: 24px;
  }

  .services-two .service.active .service-content h2 {
    font-size: 24px;
    margin-bottom: 37px;
    line-height: 32px;
  }
  .services-two .service.active .service-content #serviceTitle img {
    width: 50px;
  }
  /* search page */
  .search-bar .filter,
  .search-bar .search-input {
    padding: 25px;
  }
  i.fa-solid.fa-magnifying-glass.search-icon {
    font-size: 25px;
    margin-right: 10px;
  }

  .search-bar .filter ul.filter-values li a {
    font-size: 18px;
  }

  .results-section > p {
    font-size: 20px;
    line-height: 24px;
  }

  .results-section .result h2 {
    font-size: 30px;
  }

  .results-section .result p {
    font-size: 25px;
    line-height: 30px;
  }

  .results-section .result a {
    font-size: 20px;
  }

  /* locations page */
  .locations-page .form-content input::placeholder,
  .locations-page .form-content select,
  .locations-page .form-content textarea::placeholder {
    font-size: 18px;
  }

  .locations-page .form-control {
    padding: 25px 25px;
  }

  .locations-page .form-content .primary-btn {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .locations-section .location-bg .location-content {
    bottom: 35px;
    left: 35px;
    padding-right: 125px;
  }

  .locations-section .location-bg .location-content h5 {
    font-size: 35px;
  }

  .locations-section .location-bg .location-content p {
    font-size: 25px;
  }

  /* insights page */
  .insights-page .hero-section .slide {
    padding-bottom: 70px;
  }

  .insights-page .hero-section .hero-insights {
    width: 80%;
    height: 80%;
  }

  .hero-insights .insight .insight-info span,
  .hero-insights .insight .insight-info .date,
  .hero-insights .insight .insight-info a {
    font-size: 17px;
  }

  .hero-insights .insight .insight-info h2 {
    font-size: 25px;
    margin-bottom: 25px;
  }

  .hero-insights .insight .insight-info p {
    font-size: 20px;
    margin-bottom: 25px;
    padding-right: 160px;
  }

  .hero-insights .insight .insight-info span {
    margin-bottom: 15px;
  }

  .insights-page .nav-link {
    font-size: 26px;
  }

  .insights-page .insights-categories a {
    font-size: 22px;
  }

  .insights-page .insights-categories p {
    font-size: 18px;
  }

  /* single insight */
  .single-content h5,
  .single-content p {
    font-size: 30px;
    line-height: 47px;
  }

  .single-content p,
  .single-content h2 {
    margin-bottom: 30px;
  }

  .single-content h2 {
    font-size: 35px;
    margin-bottom: 35px;
  }

  /* csr page */
  .csr-section .row,
  .services-page .row {
    gap: 85px 0;
  }

  .csr-title {
    font-size: 35px;
  }
  .csr-icon {
    margin-bottom: 24px;
  }

  .csr-content h2 {
    font-size: 25px;
    margin-bottom: 24px;
  }

  .csr-content p {
    font-size: 20px;
  }

  .number h2 {
    font-size: 70px;
  }

  .number p {
    font-size: 25px;
  }

  .social-content {
    padding: 80px 0 80px 24px;
  }

  .social-content h2 {
    font-size: 40px;
    margin-bottom: 48px;
  }

  .social-content p {
    font-size: 30px;
  }

  .report h2 {
    font-size: 30px;
    margin-bottom: 28px;
  }

  .report a {
    font-size: 20px;
  }

  /* case studies page */
  .case-card {
    padding: 55px;
    padding-right: 120px;
  }

  .case-card h2 {
    font-size: 35px;
    margin-bottom: 32px;
  }

  .case-card p {
    font-size: 32px;
    margin-bottom: 32px;
  }

  .case-studies-page .breadcrumb {
    height: 600px;
  }

  /* single case */
  .single-case h2 {
    font-size: 40px;
  }

  .single-case p {
    font-size: 30px;
  }

  .single-case .testi-content > p {
    font-size: 32px;
    line-height: 52px;
  }

  .single-case .testi-content > p::before,
  .single-case .testi-content > p::after {
    width: 60px;
    height: 60px;
  }

  .single-case .testi-content > p::before {
    top: -3%;
    left: 4%;
  }

  .single-case .testi-content > p::after {
    bottom: 0%;
    right: 5%;
  }

  /* how we work page */
  .how-page .breadcrumb-content p {
    font-size: 30px;
  }

  .how-page .cooperate-section .case-content h2 {
    font-size: 32px;
    margin-bottom: 32px;
  }

  .how-page .cooperate-section .case-content p {
    font-size: 24px;
  }

  /* services page */
  .dafult-bg.service-bg {
    height: 370px;
  }

  .dafult-bg.service-bg .bg-content {
    gap: 32px;
    padding-left: 30px;
    padding-bottom: 30px;
  }

  .service-bg h2 {
    font-size: 143px;
    line-height: 132px;
  }

  .service-bg p {
    font-size: 52px;
    font-weight: 600;
    line-height: 72px;
  }

  .services-page p.service-excerpt {
    font-size: 20px;
    line-height: 32px;
    margin-top: 20px;
  }

  .sservices-page a.service-btn {
    font-size: 20px;
    font-weight: 800;
    margin-top: 32px;
  }

  /* about page */
  .about-banner p {
    font-size: 32px;
    line-height: 50px;
  }

  .about-section p,
  .partners-section p {
    font-size: 30px;
    line-height: 56px;
  }

  .about-bar .nav-underline .nav-link {
    font-size: 30px;
    padding: 8px 16px;
  }

  .about-bg {
    min-height: 450px;
  }

  .about-tab {
    padding: 50px 0 70px;
  }

  .about-tab a {
    margin-top: 50px;
    gap: 40px;
    font-size: 30px;
  }

  .about-tab a img {
    padding: 20px;
  }

  .core-section .col-md-12 h2 {
    margin-bottom: 70px;
    font-size: 32px;
  }

  .about-card {
    padding: 70px 30px 60px;
  }

  .about-card .csr-icon {
    margin-bottom: 30px;
  }

  .about-card h2 {
    font-size: 25px;
    margin-bottom: 20px;
  }

  .about-card p {
    font-size: 18px;
    line-height: 41px;
  }

  .about-page .breadcrumb-title h2 {
    font-size: 60px;
  }

  /* core section */
  h2.core-title {
    font-size: 42px;
    margin-bottom: 30px;
  }

  .core-bg {
    padding: 86px 10px 48px 16px;
  }

  .core-bg .core-img img {
    width: 100%;
  }

  .core-bg .core-content h3 {
    font-size: 24px;
  }

  .service-demo-2 > a {
    bottom: 12%;
    left: 48%;
  }

  .case-studies-page.single-case .breadcrumb {
    margin-bottom: 300px;
  }
}
/* Adjust layout for mobile */
@media (max-width: 767px) {
  .inner-container {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    width: 100%;
    max-width: unset;
    padding-left: calc(var(--bs-gutter-x) * 0.5);
    padding-right: calc(var(--bs-gutter-x) * 0.5);
    margin-left: auto;
    margin-right: auto;
  }
  .partners-img {
    flex-basis: calc(100% / 5);
  }
  .single-service-page .partners,
  .how-page .partners {
    width: 100%;
  }
  .mobile-nav-toggle {
    display: block;
  }

  .heading-title {
    width: 100%;
    margin-bottom: 30px;
  }
  .case-studies .heading-title {
    padding: unset;
  }
  .insights {
    flex-direction: column;
    gap: 20px;
  }

  .insight-box-1,
  .insight-box-2,
  .insight-box-3 {
    width: 100%;
  }

  .footer {
    gap: 20px;
    padding: 40px 10px;
    flex-wrap: wrap;
  }

  .footer > * {
    flex-basis: 45%;
  }

  .footer-contact {
    padding-left: unset;
    max-width: unset;
  }

  .footer-bottom {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .owl-dots {
    width: max-content;
  }

  .owl-carousel-clients .slide {
    justify-content: center;
  }

  .partners {
    display: flex;
    gap: 15px;
    margin-top: 50px;
  }

  .hero-content {
    padding-right: 20px;
    padding-top: unset;
  }

  .hero-content h2,
  .breadcrumb-content h2 {
    font-size: 20px;
  }

  .hero-content p,
  .breadcrumb-content p {
    font-size: 25px;
  }

  .hero {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .owl-carousel-clients .slide img {
    max-width: 40%;
  }

  .insight-content {
    height: auto;
    gap: 20px;
    padding: 20px;
    width: 100% !important;
    position: unset !important;
  }

  .insight-box {
    min-height: unset;
  }

  .testi-content {
    margin-top: 20px;
    padding-bottom: 20px;
  }

  .breadcrumb .breadcrumb-content {
    padding: 25px;
  }
  .specialize-section > div {
    flex-direction: column;
  }

  .specialize-section div#v-pills-tab {
    width: 100%;
  }

  .specialize-section .tab-content {
    width: 100%;
  }

  .specialize-section .specialize-content {
    flex-direction: column;
    align-items: center;
  }

  .specialize-section .specialize-content > * {
    width: 100%;
  }

  .help,
  .technologies {
    flex-direction: column;
  }

  section.featured .row > *:not(:last-child) {
    margin-bottom: 30px;
  }

  .form-section .heading-title h2 {
    padding: unset;
  }

  .cases {
    flex-direction: column;
    gap: 20px;
  }

  .cases .case {
    flex-basis: unset;
    height: 100px;
  }

  .cases .case.active {
    height: 250px;
  }

  .technologies .technologies-column {
    text-align: center;
    justify-content: center;
  }

  .technologies .technologies-column > * {
    flex-basis: 25%;
  }

  /* mobile header */
  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active {
    display: flex;
    align-items: center;
    position: relative;
  }

  .mobile-nav-active .navmenu {
    display: none;
    position: fixed;
    overflow: hidden;
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
    transition: 0.3s;
  }

  .navmenu ul {
    display: none;
    list-style: none;
    position: absolute;
    inset: 60px 20px 20px 20px;
    padding: 10px 0;
    margin: 0;
    border-radius: 6px;
    background-color: white;
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .mobile-nav-active .mobile-nav-toggle {
    color: #fff;
    position: absolute;
    font-size: 32px;
    top: 15px;
    right: 15px;
    margin-right: 0;
    z-index: 9999;
  }

  /* services demo 2 */
  .services-two .services-border {
    flex-direction: column;
  }

  .service {
    border-top: 1px solid #e5e7eb;
    border-left: unset;
  }

  .service:first-child {
    border-top: unset;
  }

  .service .service-title span,
  .case-studies .case > span {
    writing-mode: unset;
    transform: unset;
  }

  .services-title {
    flex-direction: column;
    align-items: center;
  }

  .services-two .services-title p {
    width: 100%;
    text-align: center;
  }

  .services-two {
    padding: 50px 20px;
  }

  /* case studies */
  .padding-case {
    padding-right: 20px;
    padding-left: 20px;
    padding-bottom: 0 !important;
    padding-top: 0 !important;
  }

  .case-card {
    padding: 30px;
  }

  .case-left {
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    border-bottom-left-radius: unset;
    padding-bottom: 20px;
  }

  .case-right {
    border-top-right-radius: unset;
    border-bottom-right-radius: 30px;
    border-bottom-left-radius: 30px;
    background-color: #313131;
    padding-top: 20px;
  }

  .case-studies-page .dafult-bg,
  .how-page .dafult-bg {
    height: 500px;
  }

  /* how we work page */
  .how-page .case-card,
  .how-page .padding-case:last-child .case-card {
    padding-left: unset;
    padding-right: unset;
  }

  .how-page .padding-case:last-child .case-card {
    padding-top: 25px !important;
  }

  .how-page .case-card p,
  .how-page .case-card h2,
  .csr-icon,
  .csr-title,
  .csr-content,
  .social-content,
  h2.core-title,
  .help .help-title,
  .technologies .technologies-title,
  .help .help-title p,
  .technologies .technologies-title p,
  .case-studies .heading-title,
  .footer-bottom p {
    text-align: center;
  }

  .how-page .padding-case {
    padding-right: 0;
    padding-left: 0;
  }

  .service-demo-2 > a {
    display: none;
  }

  .insights-page .hero-section .hero-insights {
    flex-wrap: nowrap;
    flex-direction: column;
  }

  .insights-page .hero-section .hero-insights > * {
    width: 100%;
  }

  .hero-insights .insight .insight-info {
    padding: 15px;
  }

  .menu-toggle.insights-list {
    left: -250%;
  }

  .insights-page .filter-bar {
    flex-wrap: wrap;
    gap: 20px;
  }

  .core-services {
    flex-direction: column;
  }

  .margin-r,
  .margin-l {
    margin-right: auto;
    margin-left: auto;
    max-width: 1200px;
  }

  div#faq {
    margin-top: 25px;
  }

  .faq .section-title {
    padding-bottom: 0;
    text-align: center;
  }

  .partners-section .dafult-bg,
  .social-bg {
    height: 500px;
  }

  .mobile-icons {
    display: flex;
    gap: 30px;
    align-items: center;
  }

  header {
    padding: 10px 15px;
    z-index: 1000;
  }

  .breadcrumb .breadcrumb-content .breadcrumb-title img {
    width: 30px;
  }

  .case-studies-page .breadcrumb {
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .clients-video {
    width: 80%;
  }

  .service-1,
  .service-2,
  .service-3,
  .service-4,
  .service-5,
  .service-6,
  .service-7,
  .service-8,
  .service-9,
  .service-10,
  .service-11,
  .service-12,
  .service-13,
  .service-14,
  .service-15,
  .service-16,
  .single-insight,
  .csr-page,
  .social-bg,
  .dafult-bg {
    background-size: cover;
    background-position: 50% 50%;
  }

  .single-case .padding-case {
    padding-right: calc(var(--bs-gutter-x) * 0.5);
    padding-left: calc(var(--bs-gutter-x) * 0.5);
  }

  .single-case .testi-content > p {
    font-size: 18px;
    padding: 0px 25px;
  }

  .single-case .testi-content > p::before {
    left: -15px;
  }

  .single-case .testi-content > p::after {
    right: 0;
  }

  .prev-icon a,
  .next-icon a {
    transform: rotate(90deg);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .prev-icon a,
  .next-icon a {
    transform: rotate(90deg);
  }

  .service.active .service-content {
    padding-left: 30px;
    padding-right: 30px;
  }

  .service.active .service-content p {
    width: unset;
  }

  .search-bar {
    flex-direction: column;
    gap: 20px;
  }

  .search-bar .search-input,
  .search-bar .filter {
    border-radius: 999px;
  }

  .search-bar .filter ul.filter-values li {
    width: fit-content;
  }

  .search-bar .filter ul.filter-values {
    gap: 10px;
  }

  .search-bar .filter ul.filter-values li a {
    padding: 5px 10px;
    display: block;
  }

  .help .help-column > * {
    flex-basis: 100%;
  }

  .filter-card {
    margin-top: 50px;
  }

  .case-studies-page.single-case .breadcrumb {
    margin-bottom: 0 !important;
    height: fit-content;
  }

  .single-case .breadcrumb .breadcrumb-content {
    width: 100%;
  }

  .single-service-page .owl-nav {
    height: 100%;
  }

  .single-service-page .owl-nav .owl-prev i {
    left: 37%;
    bottom: -35px;
  }

  .single-service-page .owl-nav .owl-next i {
    right: 37%;
    bottom: -35px;
  }
}
